Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
zigbee::ZigbeeDevice Interface Reference

Zigbee Device. More...

`import <ZigbeeDevice.idl;`

## Classes
struct | ClusterDataEvent
| Cluster Value Changed Event. More...
struct | ClusterValue
| Cluster Value. More...
struct | MetaData
| Device MetaData. More...

## Public Member Functions
MetaData | getMetaData ()
| Retrieve Dongle MetaData.
vector< ClusterValue > | getClusterValues ()
| Retrieve the last cluster values Needed for battery voltage (only reported all 12h)

## Public Attributes
constant int | CLUSTER_BASIC = 0x0000
| Supported Cluster Types defined by zigbee alliance in the zigbee cluster library specification.
constant int | CLUSTER_POWER_CONFIGURATION = 0x0001
constant int | CLUSTER_RSSI = 0x000B
constant int | CLUSTER_CONTACT_CLOSURE = 0x000F
constant int | CLUSTER_TEMPERATURE = 0x0402
constant int | CLUSTER_HUMIDITY = 0x0405

## Detailed Description

Zigbee Device.

Definition at line 14 of file ZigbeeDevice.idl.

## Member Function Documentation

## ◆ getClusterValues()

vector< ClusterValue > zigbee::ZigbeeDevice::getClusterValues | ( |  | ) |

Retrieve the last cluster values Needed for battery voltage (only reported all 12h)

Returns
  list of all cluster values currently reported

## ◆ getMetaData()

MetaData zigbee::ZigbeeDevice::getMetaData | ( |  | ) |

Retrieve Dongle MetaData.

Returns
  MetaData

## Member Data Documentation

## ◆ CLUSTER_BASIC

constant int zigbee::ZigbeeDevice::CLUSTER_BASIC = 0x0000

Supported Cluster Types defined by zigbee alliance in the zigbee cluster library specification.

Definition at line 20 of file ZigbeeDevice.idl.

## ◆ CLUSTER_CONTACT_CLOSURE

constant int zigbee::ZigbeeDevice::CLUSTER_CONTACT_CLOSURE = 0x000F

Definition at line 23 of file ZigbeeDevice.idl.

## ◆ CLUSTER_HUMIDITY

constant int zigbee::ZigbeeDevice::CLUSTER_HUMIDITY = 0x0405

Definition at line 25 of file ZigbeeDevice.idl.

## ◆ CLUSTER_POWER_CONFIGURATION

constant int zigbee::ZigbeeDevice::CLUSTER_POWER_CONFIGURATION = 0x0001

Definition at line 21 of file ZigbeeDevice.idl.

## ◆ CLUSTER_RSSI

constant int zigbee::ZigbeeDevice::CLUSTER_RSSI = 0x000B

Definition at line 22 of file ZigbeeDevice.idl.

## ◆ CLUSTER_TEMPERATURE

constant int zigbee::ZigbeeDevice::CLUSTER_TEMPERATURE = 0x0402

Definition at line 24 of file ZigbeeDevice.idl.

The documentation for this interface was generated from the following file:

- ZigbeeDevice.idl